Skip to main content

Create a Safeword credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/safeword

Since: 2.79.0

Required permission(s): AccessControl.CredentialCreate

Creates a new Safeword credential for the specified user. The username field is mandatory and must not be blank.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123

Body

required
    extId string

    The external ID of the Safeword credential.

    username stringrequired

    Possible values: non-empty

    The username of the Safeword credential.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential.

Responses

Safeword credential created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...